For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/voice/authentication

Sends a custom external voice authentication event to the Api Tracking platform.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Data to register an external voice authentication event in the Api Tracking platform. It also supports audio track buffers.

probabilitynumber · máx: 1Obrigatório

Voice match probability

Example: 0.7
eventSourcestringOpcional

The source of an event in the Api Tracking service.

Example: event.source.externalTool
extraDatastringObrigatório

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Respostas
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOpcional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOpcional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/voice/authentication
POST /api/v1/selphid/custom-event/voice/authentication HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "probability": 0.7,
  "eventSource": "event.source.externalTool",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Atualizado